libtcl troubles in 11.1

Hi Linux Folks,

Well, I thought I would stay with 10.3, at least for the rest of the life of my desktop, but I broke down and purchased 11.1 last week and updated from 10.3. Thus far it seems fine, except for one problem…my eggdrops now give me the following error when I try to run/load them:

>>>>
./eggdrop: error while loading shared libraries: libtcl8.4.so: cannot open shared object file: No such file or directory
<<<<<

I’ve tried what I know, from my limited knowledge…moving the bots into different directories, re-installing different versions of the bots, but I keep getting the tcllib error.

Can someone offer a possible solution? I’d be most appreciative of any advice.

Thanks very much,
-Joe :slight_smile:

The current version of tcl is 8.5. You have to update eggdrop to use the new version somehow. (I know nothing about eggdrop.)